# module OpenSSL::PKCS5

### Public Instance Methods

pbkdf2_hmac (pass, salt, iter, keylen, digest)
Source

    # File ext/openssl/lib/openssl/pkcs5.rb, line 13
    def pbkdf2_hmac(pass, salt, iter, keylen, digest)
      OpenSSL::KDF.pbkdf2_hmac(pass, salt: salt, iterations: iter,
                               length: keylen, hash: digest)
    end

`OpenSSL::PKCS5.pbkdf2_hmac` has been renamed to `OpenSSL::KDF.pbkdf2_hmac`. This method is provided for backwards compatibility.

pbkdf2_hmac_sha1 (pass, salt, iter, keylen)
Source

    # File ext/openssl/lib/openssl/pkcs5.rb, line 18
    def pbkdf2_hmac_sha1(pass, salt, iter, keylen)
      pbkdf2_hmac(pass, salt, iter, keylen, "sha1")
    end